%global __requires_exclude perl\\(.*[.]pl\\)|\/bin\/bash
%define __RELTAG RELEASE_1_4_7

Name:           mlmmj
Version:        1.4.7
Release:        1%{?dist}
Summary:        A simple and slim mailing list manager inspired by ezmlm
License:        MIT
URL:            https://codeberg.org/mlmmj/mlmmj
Source0:        https://codeberg.org/mlmmj/mlmmj/releases/download/%{__RELTAG}/%{name}-%{version}.tar.xz

BuildRequires:  autoconf automake libatf-c-devel
BuildRequires:  gcc
BuildRequires:  findutils
BuildRequires:  make

%description
Mlmmj(Mailing List Management Made Joyful) is a simple and slim mailing list 
manager (MLM) inspired by ezmlm. It works with many different Mail Transport 
Agents (MTAs) and is simple for a system adminstrator to install, configure 
and integrate with other software. As it uses very few resources, and requires
no daemons, it is ideal for installation on systems where resources are 
limited, such as Virtual Private Servers (VPSes).

Although it doesn't aim to include every feature possible, but focuses on 
staying mean and lean, and doing what it does do well, it does have a great 
set of features, including:

- Archive
- Custom headers / footer
- Fully automated bounce handling (similar to ezmlm)
- Complete requeueing functionality
- Moderation functionality
- Subject prefix
- Subscribers only posting
- Regular expression access control
- Functionality to retrieve old posts
- Web interface
- Digests
- No-mail subscription
- VERP support
- Delivery Status Notification (RFC1891) support
- Rich, customisable texts for automated operations

%prep
%setup -q

%build
autoreconf -i
%configure --disable-tests
make %{?_smp_mflags}

%install
%make_install

mkdir -p %{buildroot}%{_localstatedir}/spool/%{name}
find contrib/ -type f -name *.pl -exec chmod -x {} ";"
find contrib/ -type f -name *.cgi -exec chmod -x {} ";"

%files
%{!?_licensedir:%global license %doc}
%license COPYING
%doc AUTHORS ChangeLog FAQ README* TUNABLES.md TODO UPGRADE
%doc contrib/web/
%{_bindir}/*
%{_mandir}/man1/mlmmj*.1*
%{_datadir}/%{name}/
%{_localstatedir}/spool/%{name}

%changelog
* Tue Jul 16 2024 Konstantin Ryabitsev <konstantin@linuxfoundation.org> - 1.4.7-1
- Update to 1.4.7, containing bugfixes.

* Fri Jun 07 2024 Konstantin Ryabitsev <konstantin@linuxfoundation.org> - 1.4.6-1
- Update to 1.4.6, containing bugfixes.

* Thu May 02 2024 Konstantin Ryabitsev <konstantin@linuxfoundation.org> - 1.4.5-1
- Update to 1.4.5, containing bugfixes.
- Disable tests to avoid requiring kyua.

* Mon Jan 15 2024 Konstantin Ryabitsev <konstantin@linuxfoundation.org> - 1.4.4-1
- Update to 1.4.4, containing bugfixes.

* Mon Dec 18 2023 Konstantin Ryabitsev <konstantin@linuxfoundation.org> - 1.4.2-1
- Update to 1.4.2, containing bugfixes.

* Wed Dec 06 2023 Konstantin Ryabitsev <konstantin@linuxfoundation.org> - 1.4.0-0
- Update to 1.4.0 final release.

* Fri Dec 01 2023 Konstantin Ryabitsev <konstantin@linuxfoundation.org> - 1.4.0-0.rc3.1
- Update to rc3

* Fri Oct 27 2023 Konstantin Ryabitsev <konstantin@linuxfoundation.org> - 1.4.0-0.rc2.1
- Update to rc2

* Fri Oct 13 2023 Konstantin Ryabitsev <konstantin@linuxfoundation.org> - 1.4.0-0.rc1.1
- Update to rc1
- Drop obsolete patch for CentOS7

* Mon Sep 18 2023 Konstantin Ryabitsev <konstantin@linuxfoundation.org> - 1.4.0-0.b1.1
- Switch to https://codeberg.org/mlmmj/mlmmj and update to 1.4.0-b1
- Tweak to build on CentOS7

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.19.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Mar 02 2016 Denis Fateyev <denis@fateyev.com> - 1.2.19.0-1
- Update to 1.2.19.0 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.18.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.18.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Christopher Meng <rpm@cicku.me> - 1.2.18.1-1
- Update to 1.2.18.1

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.18.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.18.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Oct 26 2013 Christopher Meng <rpm@cicku.me> - 1.2.18.0-2
- Filter out wrong dependencies.

* Fri Aug 09 2013 Christopher Meng <rpm@cicku.me> - 1.2.18.0-1
- Resubmit the package.
